unit Exemplo_delphi;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons,ShellApi, ExtDlgs, ExtCtrls;

type
  TForm1 = class(TForm)
    btAbriPorta: TBitBtn;
    btFechar: TBitBtn;
    btConversor: TBitBtn;
    Memo1: TMemo;
    btImprimeTexto: TButton;
    btFeed: TButton;
    gbImage: TGroupBox;
    Image1: TImage;
    btUploadImage: TBitBtn;
    OpenDialog1: TOpenDialog;
    rbTonsDeCinza: TRadioButton;
    rbPretoBranco: TRadioButton;
    btImprimirImagem: TButton;
    Label1: TLabel;
    btLimpar: TButton;
    procedure btAbriPortaClick(Sender: TObject);
    procedure btConversorClick(Sender: TObject);
    procedure btFecharClick(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
    procedure btImprimirImagemClick(Sender: TObject);
    procedure btFeedClick(Sender: TObject);
    procedure btImprimeTextoClick(Sender: TObject);
    procedure btLimparClick(Sender: TObject);

private
    { Private declarations }

    iRetorno:Integer;
public
    { Public declarations }
end;

var
  Form1: TForm1;
  path : String;

implementation

uses ntSwedaNaoFiscal;

{$R *.dfm}

procedure TForm1.btAbriPortaClick(Sender: TObject);
begin
  iRetorno := SI300_eBuscarPortaVelocidade();

  case iRetorno of
       0 : ShowMessage('Erro de comunicao!');
       1 : ShowMessage('Porta Aberta com sucesso.');
  end;

end;

procedure TForm1.btConversorClick(Sender: TObject);
begin
   ShellExecute(Application.Handle, nil, Pchar('CONVERSOR.INI'), nil, nil, SW_SHOWNORMAL);
end;

procedure TForm1.btFecharClick(Sender: TObject);
begin
   Form1.Close;
end;

procedure TForm1.BitBtn4Click(Sender: TObject);
var
  bmp: TBitmap;
  retang: TRect;
begin
        if OpenDialog1.Execute() then
        begin
                path := OpenDialog1.FileName;
                bmp := TBitmap.Create;
                bmp.LoadFromFile(path);
                retang.Top := 0;
                retang.Right := 220;
                retang.Left := 0;
                retang.Bottom := 160;
                Image1.Canvas.StretchDraw(retang,bmp);
        end
           
end;

procedure TForm1.btImprimirImagemClick(Sender: TObject);
begin
        begin
                if path = '' then  BitBtn4Click(Sender);

                if rbTonsDeCinza.Checked then
                   iRetorno := SI300_iImprimirImagem(path);

                if rbPretoBranco.Checked then
                   iRetorno := SI300_iImprimirBMP(path);
        end;

        case iRetorno of
                0 : ShowMessage('Erro de Comunicao com a Impressora.');
                -8: ShowMessage('No foi possvel localizar a imagem.');
        end;

end;

procedure TForm1.btFeedClick(Sender: TObject);
begin
        iRetorno := SI300_iImprimirTexto('<l></l>',0);
        case iRetorno of
                 0: ShowMessage('Erro de Comunicao com a Impressora.');
        end;
end;

procedure TForm1.btImprimeTextoClick(Sender: TObject);
begin
        if Memo1.Text = '' then
                ShowMessage('No h texto a ser impresso')
        else
                iRetorno := SI300_iImprimirTexto(Memo1.Text ,0);

        if iRetorno = 0 then
           if Memo1.Text <> '' then
                ShowMessage('Erro de Comunicao com a Impressora.');
end;

procedure TForm1.btLimparClick(Sender: TObject);
begin
        Memo1.Text := '';
end;

end.




